Loading...
Searching...
No Matches
Sip_in_reply_to

## Macros

#define | sip_in_reply_to(sip)
| Access a SIP In-Reply-To header structure sip_in_reply_to_t from sip_t.
#define | SIP_IN_REPLY_TO_INIT()
| Initializer for structure sip_in_reply_to_t.
#define | SIPTAG_IN_REPLY_TO(x)
| Tag list item for pointer to a In-Reply-To header structure sip_in_reply_to_t.
#define | SIPTAG_IN_REPLY_TO_REF(x)
| Tag list item for reference to a In-Reply-To header pointer.
#define | SIPTAG_IN_REPLY_TO_STR(s)
| Tag list item for string with In-Reply-To header value.
#define | SIPTAG_IN_REPLY_TO_STR_REF(x)
| Tag list item for reference to a In-Reply-To header string.

## Typedefs

typedef msg_list_t | sip_in_reply_to_t
| @

## Functions

issize_t | sip_in_reply_to_d (su_home_t *, msg_header_t *, char *s, isize_t slen)
| Parse a SIP In-Reply-To header.
issize_t | sip_in_reply_to_e (char b[], isize_t bsiz, msg_header_t const *h, int flags)
| Print a SIP In-Reply-To header.
sip_in_reply_to_t * | sip_in_reply_to_init (sip_in_reply_to_t x[1])
| Initialize a structure sip_in_reply_to_t.
int | sip_is_in_reply_to (sip_header_t const *header)
| Test if header object is instance of sip_in_reply_to_t.
sip_in_reply_to_t * | sip_in_reply_to_dup (su_home_t *home, sip_in_reply_to_t const *hdr))
| Duplicate a list of In-Reply-To header header structures sip_in_reply_to_t.
sip_in_reply_to_t * | sip_in_reply_to_copy (su_home_t *home, sip_in_reply_to_t const *hdr))
| Copy a list of In-Reply-To header header structures sip_in_reply_to_t.
sip_in_reply_to_t * | sip_in_reply_to_make (su_home_t *home, char const *s))
| Make a In-Reply-To header structure sip_in_reply_to_t.
sip_in_reply_to_t * | sip_in_reply_to_format (su_home_t *home, char const *fmt,...)))
| Make a In-Reply-To header from formatting result.

## Variables

msg_hclass_t | sip_in_reply_to_class []
| Header class for In-Reply-To header.
tag_typedef_t | siptag_in_reply_to
| Tag for In-Reply-To header object.
tag_typedef_t | siptag_in_reply_to_str
| Tag for string with In-Reply-To header value.

## Detailed Description

## Macro Definition Documentation

## SIP_IN_REPLY_TO_INIT

#define SIP_IN_REPLY_TO_INIT | ( |  | ) |

Initializer for structure sip_in_reply_to_t.

A static sip_in_reply_to_t structure for In-Reply-To header must be initialized with the SIP_IN_REPLY_TO_INIT() macro. For instance,

sip_in_reply_to_t sip_in_reply_to = SIP_IN_REPLY_TO_INIT;
SIP_IN_REPLY_TO_INIT
#define SIP_IN_REPLY_TO_INIT()
Initializer for structure sip_in_reply_to_t.
Definition sip_protos.h:6812
sip_in_reply_to
#define sip_in_reply_to(sip)
Access a SIP In-Reply-To header structure sip_in_reply_to_t from sip_t.
Definition sip_protos.h:6795
sip_in_reply_to_t
msg_list_t sip_in_reply_to_t
@
Definition sip.h:161

## SIPTAG_IN_REPLY_TO

#define SIPTAG_IN_REPLY_TO | ( |  | x | ) |

Tag list item for pointer to a In-Reply-To header structure sip_in_reply_to_t.

The SIPTAG_IN_REPLY_TO() macro is used to include a tag item with a pointer to a sip_in_reply_to_t structure in a tag list.

Parameters

  x | pointer to a sip_in_reply_to_t structure, or NULL.

The corresponding tag taking reference parameter is SIPTAG_IN_REPLY_TO_REF().

## SIPTAG_IN_REPLY_TO_STR

#define SIPTAG_IN_REPLY_TO_STR | ( |  | s | ) |

Tag list item for string with In-Reply-To header value.

The SIPTAG_IN_REPLY_TO_STR() macro is used to include a tag item with a string containing value of a sip_in_reply_to_t header in a tag list.

Parameters

  s | pointer to a string containing In-Reply-To header value, or NULL.

The string in SIPTAG_IN_REPLY_TO_STR() can be converted to a sip_in_reply_to_t header structure by giving the string s has second argument to function sip_in_reply_to_make().

The corresponding tag taking reference parameter is SIPTAG_IN_REPLY_TO_STR_REF().

## Typedef Documentation

## sip_in_reply_to_t

typedef msg_list_t sip_in_reply_to_t

@

The In-Reply-To request header field enumerates the Call-IDs that this call references or returns. Its syntax is defined in RFC 3261 as follows:

In-Reply-To = "In-Reply-To" HCOLON callid *(COMMA callid)

The parsed In-Reply-To header is stored in sip_in_reply_to_t structure.

The structure sip_in_reply_to_t contains representation of SIP In-Reply-To header.

The sip_in_reply_to_t is defined as follows:

typedef struct msg_list_s
{
msg_common_t k_common[1]; // Common fragment info
msg_list_t *k_next; // Link to next header
msg_param_t *k_items; // List of call ids
} sip_in_reply_to_t;
msg_list_t
struct msg_list_s msg_list_t
msg_common_t
struct msg_common_s msg_common_t
msg_list_s
msg_list_s::k_common
msg_common_t k_common[1]
msg_list_s::k_next
msg_list_t * k_next
msg_list_s::k_items
msg_param_t * k_items

## Function Documentation

## sip_in_reply_to_copy()

sip_in_reply_to_t * sip_in_reply_to_copy | ( | su_home_t * | home,
|  | sip_in_reply_to_t const * | hdr )

inline

Copy a list of In-Reply-To header header structures sip_in_reply_to_t.

The function sip_in_reply_to_copy() copies a header structure hdr. If the header structure hdr contains a reference (`hdr->h_next`) to a list of headers, all the headers in that list are copied, too. The function uses given memory home to allocate all the memory areas used to copy the list of header structure hdr.

Parameters

  home | memory home used to allocate new structure
  hdr | pointer to the header structure to be copied

When copying, only the header structure and parameter lists attached to it are duplicated. The new header structure retains all the references to the strings within the old hdr header, including the encoding of the old header, if present.

Example
  in_reply_to = sip_in_reply_to_copy(home, sip->sip_in_reply_to);
  sip_in_reply_to_copy
  sip_in_reply_to_t * sip_in_reply_to_copy(su_home_t *home, sip_in_reply_to_t const *hdr))
  Copy a list of In-Reply-To header header structures sip_in_reply_to_t.
  Definition sip_protos.h:6942

Returns
  A pointer to newly copied header structure, or NULL upon an error.

## sip_in_reply_to_dup()

sip_in_reply_to_t * sip_in_reply_to_dup | ( | su_home_t * | home,
|  | sip_in_reply_to_t const * | hdr )

inline

Duplicate a list of In-Reply-To header header structures sip_in_reply_to_t.

Duplicate a header structure hdr. If the header structure hdr contains a reference (`hdr->x_next`) to a list of headers, all the headers in the list are duplicated, too.

Parameters

  home | memory home used to allocate new structure
  hdr | header structure to be duplicated

When duplicating, all parameter lists and non-constant strings attached to the header are copied, too. The function uses given memory home to allocate all the memory areas used to copy the header.

Example
  in_reply_to = sip_in_reply_to_dup(home, sip->sip_in_reply_to);
  sip_in_reply_to_dup
  sip_in_reply_to_t * sip_in_reply_to_dup(su_home_t *home, sip_in_reply_to_t const *hdr))
  Duplicate a list of In-Reply-To header header structures sip_in_reply_to_t.
  Definition sip_protos.h:6899

Returns
  A pointer to the newly duplicated sip_in_reply_to_t header structure, or NULL upon an error.

## sip_in_reply_to_format()

sip_in_reply_to_t * sip_in_reply_to_format | ( | su_home_t * | home,
|  | char const * | fmt,
|  |  | ... )

inline

Make a In-Reply-To header from formatting result.

Make a new sip_in_reply_to_t object using formatting result as its value. The function first prints the arguments according to the format fmt specified. Then it allocates a new header structure, and parses the formatting result to the structure sip_in_reply_to_t.

Parameters

  home | memory home used to allocate new header structure.
  fmt | string used as a printf()-style format
  ... | argument list for format

Returns
  A pointer to newly makes header structure, or NULL upon an error.

## sip_in_reply_to_init()

sip_in_reply_to_t * sip_in_reply_to_init | ( | sip_in_reply_to_t | x[1] | ) |

inline

Initialize a structure sip_in_reply_to_t.

An sip_in_reply_to_t structure for In-Reply-To header can be initialized with the sip_in_reply_to_init() function/macro. For instance,

sip_in_reply_to_t sip_in_reply_to;
sip_in_reply_to_init(&sip_in_reply_to);
sip_in_reply_to_init
sip_in_reply_to_t * sip_in_reply_to_init(sip_in_reply_to_t x[1])
Initialize a structure sip_in_reply_to_t.
Definition sip_protos.h:6830

## sip_in_reply_to_make()

sip_in_reply_to_t * sip_in_reply_to_make | ( | su_home_t * | home,
|  | char const * | s )

inline

Make a In-Reply-To header structure sip_in_reply_to_t.

The function sip_in_reply_to_make() makes a new sip_in_reply_to_t header structure. It allocates a new header structure, and decodes the string s as the value of the structure.

Parameters

  home | memory home used to allocate new header structure.
  s | string to be decoded as value of the new header structure

Returns
  A pointer to newly maked sip_in_reply_to_t header structure, or NULL upon an error.

## sip_is_in_reply_to()

int sip_is_in_reply_to | ( | sip_header_t const * | header | ) |

inline

Test if header object is instance of sip_in_reply_to_t.

Check if the header class is an instance of In-Reply-To header object and return true (nonzero), otherwise return false (zero).

Parameters

  header | pointer to the header structure to be tested

Return values

  1 | (true) if the header is an instance of header in_reply_to
  0 | (false) otherwise

## Variable Documentation

## sip_in_reply_to_class

msg_hclass_t sip_in_reply_to_class[]

extern

Header class for In-Reply-To header.

The header class sip_in_reply_to_class defines how a SIP In-Reply-To header is parsed and printed. It also contains methods used by SIP parser and other functions to manipulate the sip_in_reply_to_t header structure.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.